Subject: Re: bug#75460: herd status hangs forever

From: Simen Endsjø <[email-masked]>
Date: Mon, 03 Feb 2025 08:52:25 +0100

Simen Endsjø <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> This is fixed by
>> <https://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=ffcd3745e5d8a3e4134ae76fe94a5ec80f52c465>.
>>
>> It would be great if you could give it a try because I’m not sure this
>> is exactly the problem you were having, but it may be related at least.
>
> Great, thanks! Unfortunately, I have no idea how I can modify my setup
> to use this new shepherd until it's added to guix.

I see 1.0.2 is not in Guix yet.
Just a note on where the blocking happens:

    $ strace herd eval root '(sleep 1)'
    # ...
    socket(AF_UNIX, SOCK_STREAM, 0)         = 10
    connect(10, {sa_family=AF_UNIX, sun_path="/run/user/1000/shepherd/socket"}, 32) = 0
    getcwd("/home/n655514", 100)            = 14
    write(10, "(shepherd-command (version 0) (a"..., 113) = 113
    read(10,